Skip to main content
GET
/
consents
Get consents
curl --request GET \
  --url https://api.gospott.com/consents \
  --header 'x-api-key: <api-key>'
{
  "consents": [
    {
      "id": "<string>",
      "framework": "GDPR",
      "legalBasis": {
        "name": "CONSENT"
      },
      "purpose": {
        "purpose": {
          "type": "custom",
          "id": "<string>",
          "name": "<string>"
        }
      },
      "comments": "<string>",
      "status": "GRANTED",
      "source": "candidate-portal",
      "receivedAt": "2023-11-07T05:31:56Z",
      "validUntil": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://api-docs.spott.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.

Query Parameters

candidateId
string
required

The ID of the candidate

Minimum string length: 1

Response

Successfully retrieved consents for the candidate.

consents
object[]
required